Bug 1413742 - Backport request for bug/issue Change IP address validation errors to warnings
Summary: Backport request for bug/issue Change IP address validation errors to warnings
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.3
Hardware: x86_64
OS: Unspecified
unspecified
high
Target Milestone: rc
: ---
Assignee: Pavel Picka
QA Contact: Pavel Picka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-16 20:56 UTC by jeff
Modified: 2017-08-01 09:44 UTC (History)
4 users (show)

Fixed In Version: ipa-4.5.0-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 09:44:33 UTC
Target Upstream Version:


Attachments (Terms of Use)
output (10.04 KB, text/plain)
2017-05-25 08:48 UTC, Pavel Picka
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:2304 normal SHIPPED_LIVE ipa bug fix and enhancement update 2017-08-01 12:41:35 UTC
FedoraHosted FreeIPA 5814 None None None 2017-01-16 20:56:11 UTC

Description jeff 2017-01-16 20:56:11 UTC
Requesting to backport patch from https://fedorahosted.org/freeipa/ticket/5814. This issue is effecting the installation of IPA on Google Compute Engine instances.

Comment 2 Petr Vobornik 2017-01-23 13:50:19 UTC
Hello Jeff, 

is the request for next major version of RHEL 7 - RHEL 7.4?

Comment 3 jeff 2017-01-24 01:14:20 UTC
Any version is fine with me. I'm just desperately needing this bug fixed. I tried importing those patches into 4.4.0 myself but there are several other differences that the compiler complained about when I tried that. Short of rebuilding the RPM for 4.4.2 into RHEL, I didn't know what to do. I'm not an avid rpm packager.

Comment 4 Petr Vobornik 2017-02-10 12:23:05 UTC
It will be fixed in RHEL 7.4.

master:
    81d64d530cca148198312d3d993502575b288f63 Allow network ip addresses
    71ad8d4fc982b5349248d50338e1d16ce45c523e Allow broadcast ip addresses
    f3d379071a9af50e38fcc07491bc68b8d3d172a4 Allow multicast addresses in A/AAAA records
    b232ad463cf43596cdf397e51469df13a89e83fa Show warning when net/broadcast IP address is used in installer 
    1c96ff7a6c7e1733a6492f9b3c93265f5bc8ff5b Abstract procedures for IP address warnings
    cd2c10d7ca97ffc76682159ad58161eab413532d Fix missing config.ips in promote_check
    d13a4c2f395c08b514a51a19eaad3fa7d32e7538 Add check for IP addresses into DNS installer

Comment 5 Petr Vobornik 2017-02-10 12:27:53 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/5814

Comment 7 Pavel Picka 2017-05-25 08:48:25 UTC
Created attachment 1282155 [details]
output

verified with 4.5.0-9.el7.x86_64
client>replica blocked from master and must use another server as forwarder

Comment 8 errata-xmlrpc 2017-08-01 09:44:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2304


Note You need to log in before you can comment on or make changes to this bug.